import bpy

bl_info = {
    "name": "Toggle Translated UI28x",
    "author": "Satoshi Yamasaki(yamyam)",
    "version": (1, 1, 2),
    "blender": (2, 83, 0),
    "location": "[Pause] key",
    "description": "Toggle International Fonts option with [Pause]key to switch translated / non transleted UIs. Special Thanks: Todo++",
    "warning": "For Mac OSX user, you need to reassign other key to object.translatedui_toggle with User Preference->Input tab to use, or edit the source.",
    "wiki_url": "",
    "tracker_url": "",
    "category": "System"}

class OBJECT_OT_translatedUI_toggle(bpy.types.Operator):
    """Toggle International Fonts"""
    bl_idname = "object.translatedui_toggle"
    bl_label = "Toggle Translated UI"

    def execute(self, context):
#        b = bpy.context.preferences.view.use_international_fonts
#        bpy.context.preferences.view.use_international_fonts = not b
        b = bpy.context.preferences.view.use_translate_interface
        bpy.context.preferences.view.use_translate_interface = not b
        b = bpy.context.preferences.view.use_translate_tooltips
        bpy.context.preferences.view.use_translate_tooltips = not b

        return {'FINISHED'}


# Registration

def register():
    bpy.utils.register_class(OBJECT_OT_translatedUI_toggle)
    kc = bpy.context.window_manager.keyconfigs.addon
    if kc:
        km = kc.keymaps.new(name="Window", space_type="EMPTY")

# Set to Pause key to use (default).
        kmi = km.keymap_items.new('object.translatedui_toggle', 'PAUSE', 'PRESS')

# for shift+space (option, delete '#' at first of next line to use.)
#        kmi = km.keymap_items.new('object.translatedui_toggle', 'SPACE', 'PRESS', shift=True)


def unregister():
    bpy.utils.unregister_class(OBJECT_OT_translatedUI_toggle)
    kc = bpy.context.window_manager.keyconfigs.addon
    if kc:
        km = kc.keymaps["Window"]
        for kmi in km.keymap_items:
            if kmi.idname == 'object.translatedui_toggle':
                km.keymap_items.remove(kmi)
                break

if __name__ == "__main__":
    register()
